import { OnInit } from '@angular/core';
import { JsonSchemaFormService } from '../../json-schema-form/json-schema-form.service';
export declare class MaterialCheckboxesComponent implements OnInit {
    private jsf;
    private formControl;
    private controlName;
    private controlValue;
    private boundControl;
    private options;
    private horizontalList;
    private formArray;
    private checkboxList;
    formID: number;
    layoutNode: any;
    layoutIndex: number[];
    dataIndex: number[];
    constructor(jsf: JsonSchemaFormService);
    ngOnInit(): void;
    readonly allChecked: boolean;
    readonly someChecked: boolean;
    updateValue(event: any): void;
    updateAllValues(event: any): void;
}
